-- Пример сохранения изменений в базу данных
-- 15 июля 2014

-- Этот код должен быть выполнен после установки SaveToDB Framework

CREATE TABLE [Contacts] (
    [ID] int NOT NULL IDENTITY,
    [FirstName] nvarchar(255),
    [LastName] nvarchar(255),
    CONSTRAINT [PK_Contacts] PRIMARY KEY ([ID])
);
GO

INSERT INTO [Contacts] ([FirstName],[LastName]) VALUES ('John','Doe');
GO
INSERT INTO [Contacts] ([FirstName],[LastName]) VALUES ('Jane','Roe');
GO

INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES (NULL,'Contacts','TABLE',NULL,NULL,NULL);
GO
INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES ('SELECT * FROM Contacts','Contacts - Base Table','CODE','Contacts','Contacts','Contacts');
GO
INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES ('SELECT * FROM Contacts','Contacts - SQL Code','CODE','INSERT INTO Contacts
    (FirstName, LastName)
VALUES
    (@FirstName, @LastName)','UPDATE Contacts
SET
    FirstName = @FirstName
    , LastName = @LastName
WHERE
    ID = @ID','DELETE FROM Contacts
WHERE
    ID = @ID');
GO

-- print Пример сохранения изменений в базу данных установлен
